AnsweredAssumed Answered

BSOD on installing any driver newer than amd_catalyst_12.6_legacy_win8.exe

Question asked by sba923 on May 31, 2015
Latest reply on May 31, 2015 by sba923

I own a Dell Studio 1735 laptop that sports an ATI Mobility Radeon HD 3650 video chip.

 

If I attempt to install any version 13 or version 14 Catalyst package, I get a BSOD in AtihdWB3.sys during the install process.

 

Is this a known issue?

 

Does this mean I have to stick with version amd_catalyst_12.6_legacy_win8.exe of the Catalyst package?

Outcomes